package net.laparola.ui;

import java.lang.reflect.Field;
import java.lang.reflect.Modifier;

public class LaParolaStringhe {
	public static final int ERRORE_NESSUNA_VERSIONE = 0;
	public static final int ERRORE_BRANO_NON_PRESENTE = 1;
	public static final int ERRORE_VERSIONE_NON_PRESENTE = 2;
	public static final int VISUALIZZA_BRANO_IN = 17;
	
	public static final int ERRORE_RICERCA_ESPRESSIONE_VUOTA = 3;
	public static final int ERRORE_RICERCA_ERRORE_SINTASSI = 4;
	public static final int ERRORE_RICERCA_ERRORE_SINTASSI_PROPONI_RIFERIMENTO = 26;
	public static final int ERRORE_RICERCA_PARENTESI = 5;
	public static final int ERRORE_RICERCA_PARENTESI_QUADRATE = 6;
	public static final int ERRORE_RICERCA = 7;
	public static final int ERRORE_RICERCA_PROPONI_RIFERIMENTO = 25;
	
	public static final int HTML_HEADER = 8;
	public static final int HTML_FOOTER = 9;
	
	public static final int DESCRIZIONE_URL_RICERCA = 10;
	public static final int DESCRIZIONE_URL_RICERCA_IN = 11;
	
	public static final int MOSTRA_CAPITOLO_INTERO_INIZIO = 12;
	public static final int MOSTRA_CAPITOLO_INTERO_FINE = 13;
	public static final int MOSTRA_CAPITOLO_PRECEDENTE = 14;
	public static final int MOSTRA_CAPITOLO_SUCCESSIVO = 15;
	public static final int ANCHOR_INIZIO = 16;
	public static final int ANCHOR_FINE = 28;
	
	public static final int DESCRIZIONE_URL_BRANI = 18;
	public static final int DESCRIZIONE_URL_GRUPPI_SEGNALIBRI = 19;
	public static final int DESCRIZIONE_URL_GRUPPO_SEGNALIBRI = 20;
	public static final int DESCRIZIONE_URL_FILE = 21;
	
	public static final int CRONOLOGIA = 22;
	public static final int PULISCI_CRONOLOGIA = 23;
	public static final int CRONOLOGIA_HEADER = 24;
	public static final int ERRORE_URL = 27;
	
	// riprendi da 29!
		
	private String[] stringhe;

	public LaParolaStringhe () {
		int numero_stringhe = 0;
		Class<? extends LaParolaStringhe> clazz = this.getClass();
		for (Field f : clazz.getFields()) {
			int modifiers = f.getModifiers();
			boolean isStatic = Modifier.isStatic(modifiers);
			boolean isPublic = Modifier.isPublic(modifiers);
			boolean isInt = (f.getType() == int.class);
			if (isStatic && isPublic && isInt) {
				numero_stringhe++;
			}
		}
		
		stringhe = new String[numero_stringhe];
			
		stringhe[ERRORE_NESSUNA_VERSIONE]           = "Nessuna versione della Bibbia è stata installata. <a href='lpcomando:versioni'>Scaricane una.</a>";
		stringhe[ERRORE_BRANO_NON_PRESENTE]         = "L'espressione ricercata non è presente nella traduzione in uso.";
		stringhe[ERRORE_VERSIONE_NON_PRESENTE]      = "La versione richiesta (%s) non è presente.<br/><a href='lpcomando:versioni'>Installa versione.</a>";
		stringhe[VISUALIZZA_BRANO_IN]               = "<br/><a href='%1$s'>Visualizza brano da %2$s.</a>";
		
		stringhe[ERRORE_RICERCA_ESPRESSIONE_VUOTA]   = "L'espressione da ricerca è vuota; digita quello che vuoi cercare.<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
		stringhe[ERRORE_RICERCA_ERRORE_SINTASSI]     = "Errore di sintassi nell'espressione da ricercare al carattere numero %s.<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
		stringhe[ERRORE_RICERCA_ERRORE_SINTASSI_PROPONI_RIFERIMENTO] = "Errore di sintassi nell'espressione da ricercare al carattere numero %1$s.<br/>Intendevi forse andare al <a href='laparola:%2$s'>riferimento %2$s</a>?<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
		stringhe[ERRORE_RICERCA_PARENTESI]           = "Errore nell'espressione da ricercare: le parentesi non corrispondono.<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
		stringhe[ERRORE_RICERCA_PARENTESI_QUADRATE]  = "Errore nell'espressione da ricercare: le parentesi quadrate non corrispondono.<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
        stringhe[ERRORE_RICERCA]                     = "Errore nella ricerca.<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
		stringhe[ERRORE_RICERCA_PROPONI_RIFERIMENTO] = "Errore nella ricerca.<br/>Intendevi forse andare al <a href='laparola:%1$s'>riferimento %1$s</a>?<br/><a href='lpcomando:aiuto_ricerca'>Mostra guida.</a>";
                
        stringhe[HTML_HEADER] =
            "<html>\n" +
            "  <head>\n" + 
            "    <style type=\"text/css\"><!--\n" +
            "      p {\n" +
            "	     margin-top: 0;\n" +
            "      }\n" +
            "      .versetto {\n" +
            "        text-decoration: none;\n" +
            "        color:           black;\n" +
    		"        font-weight:     bold;\n" +
    		"        vertical-align:  super;\n" +
    		"        font-size:       80%%;\n" +
            "      }\n" +
    		"      .ricerca {\n"+
    		"        text-decoration: underline;\n" +
    		"      }\n" +
    		"      .ricerca_note {\n"+
    		"        text-decoration: underline;\n" +
    		"      }\n" +
    		"      h2 {\n" +
    		"        font-size:   1.125em;\n" +
    		"        font-weight: bold;\n" +
    		"        margin:      .50em 0;\n" +
    		"      }\n" +
    		"      a.posizione_versetto {\n" +
    		"        font-size: 0pt;\n" +
    		"      }\n" +
    		"      a.titolo_nota {\n" +
    		"        font-size:       1.125em;\n" +
    		"        font-weight:     bold;\n" +
    		"        margin:          .50em 0;\n" +
            "        text-decoration: none;\n" +
            "        color:           black;\n" +
    		"      }\n" +
            "    --></style>\n" +
            "    %s" +
            "  </head>\n"+
            "  <body>\n" +
            "    <p>\n";
        stringhe[HTML_FOOTER] = 
        	"    </p>\n" + 
    		"  </body>\n" + 
        	"</html>\n";
        
        stringhe[DESCRIZIONE_URL_RICERCA]           = "Ricerca di \"%1$s\" (%2$s)";
        stringhe[DESCRIZIONE_URL_RICERCA_IN]        = "Ricerca di \"%1$s\" in %2$s (%3$s)";
        stringhe[DESCRIZIONE_URL_BRANI]             = "%1$s (%2$s)";
        stringhe[DESCRIZIONE_URL_GRUPPI_SEGNALIBRI] = "Segnalibri";
        stringhe[DESCRIZIONE_URL_GRUPPO_SEGNALIBRI] = "%1$s (%2$s)";
        stringhe[DESCRIZIONE_URL_FILE]              = "%1$s (%2$s)";

        stringhe[MOSTRA_CAPITOLO_INTERO_INIZIO] = "</p><p align='center'><a href='%s'>Mostra dall'inizio del capitolo</a></p>\n<p>";
        stringhe[MOSTRA_CAPITOLO_INTERO_FINE]   = "</p><p align='center'><a href='%s'>Mostra fino alla fine del capitolo</a></p>\n<p>";
        stringhe[MOSTRA_CAPITOLO_PRECEDENTE]    = "</p><p align='center'><a href='%s'>Vai al capitolo precedente</a></p>\n<p>";
        stringhe[MOSTRA_CAPITOLO_SUCCESSIVO]    = "</p><p align='center'><a href='%s'>Vai al capitolo successivo</a></p>\n<p>";
        
        stringhe[CRONOLOGIA] = "Cronologia";
        stringhe[PULISCI_CRONOLOGIA] = " <a href='lpcomando:pulisci_cronologia'>cancella tutto</a>";
        stringhe[CRONOLOGIA_HEADER] = 
        	"	 <style type=\"text/css\"><!--" +
                    "      .ora {" +
            "	     display:inline-block;" +
            "		 color:#9a9a9a; " + 
            "      }" +
            "      .oracella {" +
            "        width:3em" +
            "      }" +
            "    --></style>";

        stringhe[ANCHOR_INIZIO] = "<a name='inizio'></a>";
        stringhe[ANCHOR_FINE] = "<a name='fine'></a>";
        
        stringhe[ERRORE_URL] = "<html><body>Impossibile visualizzare la pagina %1$s.</body></html>";
    }
	
	public String get (int stringa) {
		return stringhe[stringa];
	}
	
	public String get (int stringa, Object... args) {
		return String.format(stringhe[stringa], args);
	}
	
	public void set (int stringa, String valore) {
		stringhe[stringa] = valore;
	}
}

/*
 * CSS per font in asset
 * non funziona su android 2.1
 * 
 
@font-face {
    font-family: MyFont;
    src: url("file:///android_asset/fonts/MyFont.otf")
}
body {
    font-family: MyFont;
    font-size: medium;
    text-align: justify;
}

*/
